Subject: [PATCH] pch_gbe: Adding read memory barriers

From: Erwan Velu <[email-masked]>
Date: Mon, 07 May 2012 19:39:47 +0200

Dear Linux Kernel Developers,

Please find attached, a patch to solve "Received CRC" errors reported by 
the pch_gbe driver under heavy load. It occurred on an Intel ATOM E620T 
while running a 300mbit/sec multicast network stream leading to a ~100% 
cpu usage.

This patch got validated on the 3.2.16 kernel but also apply to the 3.x
family.

Getting it into stable would be perfect as it solves reliability issues.

Cheers,
Erwan Velu